/*
Theme Name: Massive 3D
Theme URI: http://localhost:8888/massive3d.nl/new/15jan20/wp-content/themes/massive3d/
description: Hello Elementor Child Theme
Author: Massive3d
Author URI: http://massiveweb.nl
Template: hello-elementor
Version: 1.0.0
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain: massive3d
*/


model-viewer {
  width: 100%;
  height: 90%;
  background-color: none;
}

/* Ninja forms styling */
.nf-form-content label {
    font-size: 16px;
    line-height: 20px;
}
.nf-field-label label {
    font-weight: 300;
    margin: 0;
    padding: 0;
    display:none;
}
.nf-form-fields-required {
  display: none;
}
.nf-form-content button, .nf-form-content input[type="button"], .nf-form-content input[type="submit"] {
    background: #f7850B;
    width:100%;
    border: 0;
    color: #f7f7f7;
    transition: all .5s;
}

/* goo-web3d presentation */
.userInput {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.slot.poster {
    opacity: 0;
    transition: opacity 0.3s 0.3s;
    background-color: inherit;
}
.slot.poster {
    opacity: 0;
    transition: opacity 0.3s 0.3s;
    background-color: inherit;
}
.slot {
    position: absolute;
    pointer-events: none;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.slot.interaction-prompt {
    display: var(--interaction-prompt-display, flex);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    align-items: center;
    justify-content: center;
    opacity: 0;
    will-change: opacity;
    overflow: hidden;
    transition: opacity 0.3s;
}
.slot.default {
    pointer-events: none;
}
.screen-reader-only {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
button.btn3dweb[slot="hotspot-linker-kamer"], button.btn3dweb[slot="hotspot-massive3d"] {
    background-color: red;
}
button.btn3dweb {
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    border: none;
    background-color: blue;
    box-sizing: border-box;
}
button.btn3dweb[slot="hotspot-rechter-kamer"], button.btn3dweb[slot="hotspot-3dweb"] {
    background-color: blue;
}
button.btn3dweb {
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    border: none;
    background-color: blue;
    box-sizing: border-box;
}
button.btn3dweb[slot="hotspot-aorta"], button.btn3dweb[slot="hotspot-animaties"] {
    background-color: green;
}
button.btn3dweb {
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    border: none;
    background-color: blue;
    box-sizing: border-box;
}
button.btn3dweb[slot="hotspot-data"] {
    background-color: purple;
}
button.btn3dweb {
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    border: none;
    background-color: blue;
    box-sizing: border-box;
}
.slot.ar-button {
    background-image: url(https://www.khronos.org/assets/blog/webXRglTF/ic_view_in_ar_new_googblue_48dp.png);
    background-repeat: no-repeat;
    background-size: 20px 20px;
    background-position: 12px 50%;
    background-color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 16px;
    padding: 0px 16px 0px 40px;
    font-family: Roboto Regular, Helvetica Neue, sans-serif;
    font-size: 14px;
    color:#4285f4;
    height: 36px;
    line-height: 36px;
    border-radius: 18px;
    border: 1px solid #DADCE0;
  }
.slot.ar-button:active {
    background-color: #E8EAED;
  }
.slot.ar-button:focus {
    outline: none;
  }
.slot.ar-button:focus-visible {
    outline: 1px solid #4285f4;
  }
.hotspot {
    position: relative;
    background: #ddd;
    border-radius: 32px;
    box-sizing: border-box;
    border: 0;
    --min-hotspot-opacity: 0.5;
    width: 24px;
    height: 24px;
    padding: 8px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
  }
  .hotspot:focus {
    border: 4px solid rgb(0, 128, 200);
    width: 32px;
    height: 32px;
    outline: none;
  }
  .hotspot > * {
    transform: translateY(-50%);
    opacity: 1;
  }
  .hotspot:not([data-visible]) > * {
    pointer-events: none;
    opacity: 0;
    transform: translateY(calc(-50% + 4px));
    transition: transform 0.3s, opacity 0.3s;
  }
  .info {
    display: block;
    position: absolute;
    font-family: Futura, Helvetica Neue, sans-serif;
    color: rgba(0, 0, 0, 0.8);
    font-weight: 700;
    font-size: 18px;
    max-width: 128px;
    padding: 0.5em 1em;
    background: #ddd;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
    left: calc(100% + 1em);
    top: 50%;
  }
  
button.btn3dweb{
  display: block;
  width: 20px;
  height: 20px;
  border-radius: 10px;
  border: none;
  background-color: blue;
  box-sizing: border-box;
  padding: 0;
}

button.btn3dweb[slot="hotspot-linker-kamer"],  button.btn3dweb[slot="hotspot-massive3d"]{
  background-color: red;
}

button.btn3dweb[slot="hotspot-rechter-kamer"], button.btn3dweb[slot="hotspot-3dweb"]{
  background-color: blue;
}

button.btn3dweb[slot="hotspot-aorta"], button.btn3dweb[slot="hotspot-animaties"]{
  background-color: green;
}
button.btn3dweb[slot="hotspot-data"]{
  background-color: purple;
}
#annotation{
  background-color: #f2f2f2;
  position: absolute;
  left:4px;
  top:4px;
  transform: translate(10px, 10px);
  border-radius:4px;
  padding: 6px;
  min-width:180px;
  -webkit-box-shadow: 3px 6px 19px -7px rgba(0,0,0,0.75);
  -moz-box-shadow: 3px 6px 19px -7px rgba(0,0,0,0.75);
  box-shadow: 3px 6px 19px -7px rgba(0,0,0,0.75);
}

.slot.ar-button:not(.enabled), .fullscreen .slot.ar-button {
  display: inline;
} 
#cookie-notice {
    font-size: 16px;}

